### Copenhagen Truck Wash API Help

# List departments

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

GET /departments

## Operation

Operation ID: `listDepartments`

Retrieve a list of all visible departments

## Authentication

Security requirements:

Scheme | Scopes
--- | ---
BearerAuth | -

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
id | query | no | integer | Filter by specific department ID
|  | no | object |

## Responses

Status | Description | Content Types
--- | --- | ---
200 | Departments retrieved successfully | application/json
401 |  |

Schema for response `200` (`application/json`):

{ "items": { "$ref": "#/components/schemas/Department" }, "type": "array" }
17 March 2026